Summary: AlmaLinux Testing repository configuration
Name:    almalinux-release-testing
Version: 10
Release: 1%{?dist}
License: GPLv2
URL:     https://almalinux.org/
Source0: almalinux-testing.repo

Requires: almalinux-gpg-keys
Provides: almalinux-release-testing = 10

%description
DNF configuration for AlmaLinux Testing repo

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/almalinux-testing.repo

%ifarch x86_64_v2
sed -i "s/\$basearch/x86_64_v2/g" %{buildroot}%{_sysconfdir}/yum.repos.d/*.repo
sed -i '/^mirrorlist=/ s|$|?arch=x86_64_v2|g' %{buildroot}%{_sysconfdir}/yum.repos.d/*.repo
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/almalinux-testing.repo

%changelog
* Thu May 22 2025 Eduard Abdullin <eabdullin@almalinux.org> - 10-1
- Initial version
